Message 69987

Author
delphine2776
Date
2021-09-10.18:26:08
Message id
69987

Content

Trytond 6.1

Via Gui, i try create attendance period
When i save, i have this error
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/trytond/wsgi.py", line 117, in dispatch_request
    return endpoint(request, **request.view_args)
  File "/trytond/protocols/dispatcher.py", line 48, in rpc
    request, database_name, *request.rpc_params)
  File "/trytond/wsgi.py", line 84, in auth_required
    return wrapped(*args, **kwargs)
  File "/trytond/protocols/wrappers.py", line 159, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/trytond/protocols/dispatcher.py", line 181, in _dispatch
    result = rpc.result(meth(*c_args, **c_kwargs))
  File "/trytond/model/modelsql.py", line 866, in read
    sub_ids, cls, field_list, values=sub_results)
  File "/trytond/model/fields/function.py", line 105, in get
    return dict((name, call(name)) for name in names)
  File "/trytond/model/fields/function.py", line 105, in <genexpr>
    return dict((name, call(name)) for name in names)
  File "/trytond/model/fields/function.py", line 100, in call
    return dict((r.id, method(r, name)) for r in records)
  File "/trytond/model/fields/function.py", line 100, in <genexpr>
    return dict((r.id, method(r, name)) for r in records)
  File "/trytond/modules/attendance/attendance.py", line 203, in get_rec_name
    return str(self.date)
  File "/trytond/model/modelstorage.py", line 1514, in __getattr__
    raise AttributeError('"%s" has no attribute "%s"' % (self, name))
AttributeError: "attendance.period,8" has no attribute "date"

Fault: "attendance.period,8" has no attribute "date"
History
Date User Action Args
2021-09-10 18:26:08delphine2776setmessageid: <1631291168.3743906.SNJP3PERPUAWALX2.issue10740@tryton.org>
2021-09-10 18:26:08delphine2776linkissue10740 messages
2021-09-10 18:26:08delphine2776create

Showing 10 items. Show all history (warning: this could be VERY long)